<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org">
  <head>
    <meta charset="utf-8" />
    <title>Home</title>
    <link rel="stylesheet" href="../../css/bootstrap.min.css" />
  </head>

  <body>
    <div class="container">
      <div class="row">
        <div class="col-6">
          <a href="/bidList/list">Bid List</a>&nbsp;|&nbsp;
          <a href="/curvePoint/list">Curve Points</a>&nbsp;|&nbsp;
          <a href="/rating/list">Ratings</a>&nbsp;|&nbsp;
          <a href="/trade/list">Trade</a>&nbsp;|&nbsp;
          <a href="/ruleName/list">Rule</a>&nbsp;|&nbsp;
          <a
            th:if="${#authorization.expression('hasRole(''ROLE_ADMIN'')')}"
            href="/user/list"
          >
            User</a
          >
        </div>
        <div class="col-6 text-right">
          Logged in user: <b th:inline="text" class="user"> [[${username}]]</b>
          <form th:action="@{/logout}" method="POST">
            <input type="submit" value="Logout" />
          </form>
        </div>
      </div>
      <div class="row">
        <h2>Rating List</h2>
      </div>
      <div class="row">
        <a href="/rating/add" class="btn btn-primary btn-sm">Add New</a>
        <table class="table table-bordered">
          <thead>
            <tr>
              <th>Id</th>
              <th>MoodysRating</th>
              <th>SandPRating</th>
              <th>FitchRating</th>
              <th>Order</th>
              <th>Action</th>
            </tr>
          </thead>
          <tbody>
            <tr th:each="rating : ${ratings}">
              <td th:text="${rating.id}"></td>
              <td th:text="${rating.moodysRating}"></td>
              <td th:text="${rating.sandPRating}"></td>
              <td th:text="${rating.fitchRating}"></td>
              <td th:text="${rating.orderNumber}"></td>
              <td style="width: 15%" class="text-center">
                <a th:href="@{/rating/update/{id}(id=${rating.id})}">Edit</a
                >&nbsp;|&nbsp;
                <a th:href="@{/rating/delete/{id}(id=${rating.id})}">Delete</a>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </body>
</html>
